# REST API

## Public

## Health

<mark style="color:blue;">`GET`</mark> `https://api.bytex.ca/v2/health`

This endpoint retrieves the exchange's basic information and checks its health.

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
  "name": "www.bytex.ca",
  "version": "2.2.5",
  "host": "https://api.bytex.ca",
  "basePath": "/v2"
}
```

{% endtab %}
{% endtabs %}

## Constants

<mark style="color:blue;">`GET`</mark> `https://api.bytex.ca/v2/constants`

This endpoint retrieves system information for coins and pairs.

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "coins": {
        "btc": {
            "id": 2,
            "fullname": "Bitcoin",
            "symbol": "btc",
            "active": true,
            "verified": true,
            "allow_deposit": true,
            "allow_withdrawal": true,
            "withdrawal_fee": 0.0003,
            "min": 0.00001,
            "max": 1000,
            "increment_unit": 0.00001,
            "logo": "https://bitholla.s3.ap-northeast-2.amazonaws.com/icon/BTC-hollaex-asset-01.svg",
            "code": "btc",
            "is_public": true,
            "meta": {},
            "estimated_price": 56000,
            "description": null,
            "type": "blockchain",
            "network": null,
            "standard": null,
            "issuer": "HollaEx",
            "withdrawal_fees": null,
            "created_at": "2019-08-09T10:45:43.367Z",
            "updated_at": "2021-05-06T16:01:07.867Z",
            "created_by": 1
        },
        "usdt": {
            "id": 6,
            "fullname": "USD Tether",
            "symbol": "usdt",
            "active": true,
            "verified": true,
            "allow_deposit": true,
            "allow_withdrawal": true,
            "withdrawal_fee": 20,
            "min": 0.1,
            "max": 10000000,
            "increment_unit": 0.1,
            "logo": "https://bitholla.s3.ap-northeast-2.amazonaws.com/icon/USDT-hollaex-asset-01.svg",
            "code": "usdt",
            "is_public": true,
            "meta": {},
            "estimated_price": 1,
            "description": null,
            "type": "blockchain",
            "network": "eth,trx",
            "standard": "erc-20",
            "issuer": "HollaEx",
            "withdrawal_fees": {
                "eth": {
                    "value": 30,
                    "symbol": "usdt"
                },
                "trx": {
                    "value": 1,
                    "symbol": "usdt"
                }
            },
            "created_at": "2019-08-09T10:45:43.367Z",
            "updated_at": "2021-10-21T07:16:59.339Z",
            "created_by": 1
        },
        "eth": {
            "id": 3,
            "fullname": "Ethereum",
            "symbol": "eth",
            "active": true,
            "verified": true,
            "allow_deposit": true,
            "allow_withdrawal": true,
            "withdrawal_fee": 0.01,
            "min": 0.0001,
            "max": 10000,
            "increment_unit": 0.0001,
            "logo": "https://bitholla.s3.ap-northeast-2.amazonaws.com/icon/ETH-hollaex-asset-01-01.svg",
            "code": "eth",
            "is_public": true,
            "meta": {},
            "estimated_price": 3500,
            "description": null,
            "type": "blockchain",
            "network": "eth",
            "standard": null,
            "issuer": "HollaEx",
            "withdrawal_fees": null,
            "created_at": "2019-08-09T10:45:43.367Z",
            "updated_at": "2021-05-06T16:01:47.692Z",
            "created_by": 1
        },
        "xht": {
            "id": 1,
            "fullname": "HollaEx Token",
            "symbol": "xht",
            "active": true,
            "verified": true,
            "allow_deposit": true,
            "allow_withdrawal": true,
            "withdrawal_fee": 20,
            "min": 1,
            "max": 1000000,
            "increment_unit": 1,
            "logo": "https://bitholla.s3.ap-northeast-2.amazonaws.com/icon/XHT-hollaex-asset-01.svg",
            "code": "xht",
            "is_public": true,
            "meta": {},
            "estimated_price": null,
            "description": null,
            "type": "blockchain",
            "network": "eth",
            "standard": "erc-20",
            "issuer": "HollaEx",
            "withdrawal_fees": null,
            "created_at": "2019-08-09T10:45:43.367Z",
            "updated_at": "2021-04-30T04:09:47.572Z",
            "created_by": 1
        },
        "bch": {
            "id": 4,
            "fullname": "Bitcoin Cash",
            "symbol": "bch",
            "active": true,
            "verified": true,
            "allow_deposit": true,
            "allow_withdrawal": true,
            "withdrawal_fee": 0.0001,
            "min": 0.001,
            "max": 100000,
            "increment_unit": 0.001,
            "logo": "https://bitholla.s3.ap-northeast-2.amazonaws.com/icon/BCH-hollaex-asset-01.svg",
            "code": "bch",
            "is_public": true,
            "meta": {},
            "estimated_price": null,
            "description": null,
            "type": "blockchain",
            "network": null,
            "standard": null,
            "issuer": "HollaEx",
            "withdrawal_fees": null,
            "created_at": "2019-08-09T10:45:43.367Z",
            "updated_at": "2021-04-30T04:09:47.564Z",
            "created_by": 1
        },
        ...
    }
}
```

{% endtab %}
{% endtabs %}

## Kit

<mark style="color:blue;">`GET`</mark> `https://api.bytex.ca/v2/kit`

This endpoint retrieves system kit configurations for the client.

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
  "meta": {
    "sections": {
      "heading": { "name": "Title/heading", "order": 0, "is_active": true },
      "market_list": { "name": "Market list", "order": 1, "is_active": false },
      "quick_trade": {
        "name": "Quick trade calculator",
        "order": 2,
        "is_active": false
      }
    },
    "versions": {
      "color": "color-1637078561061",
      "icons": "icons-1637078561061",
      "strings": "strings-1637078561061",
      "sections": "sections-1637078561061"
    }
  },
  "color": {},
  "icons": {
    "dark": {
      "CAD_ICON": "https://bitholla.s3.ap-northeast-2.amazonaws.com/exchange/bytexca/CAD_ICON__dark___1636703625220.jpg",
      "EXCHANGE_FAV_ICON": "https://bitholla.s3.ap-northeast-2.amazonaws.com/exchange/bytexca/undefined"
    },
    "white": {
      "EXCHANGE_FAV_ICON": "https://bitholla.s3.ap-northeast-2.amazonaws.com/exchange/bytexca/undefined"
    }
  },
  "links": {
    "api": "https://api.bytexca.bitholla.cloud",
    "terms": "https://tos.bytex.ca/",
    "github": "",
    "contact": "",
    "privacy": "https://pp.bytex.ca/",
    "twitter": "",
    "website": "",
    "facebook": "",
    "helpdesk": "support@bytex.ca",
    "linkedin": "",
    "telegram": "",
    "instagram": "",
    "section_1": {
      "header": { "column_header_1": "Talk to Us" },
      "content": {
        "linkedin": "https://www.linkedin.com/company/76651276/admin/"
      }
    },
    "whitepaper": "",
    "information": "",
    "referral_link": "https://19tusker.com/",
    "referral_label": "Powered by 19 Tusker Technologies",
    "hide_referral_badge": false
  },
  "title": "",
  "captcha": {},
  "strings": {
    "en": {
      "RC_BANK_NOTE": "Interac Email",
      "RC_BANK_BANK_NAME": "Bank Name",
      "LOGOUT_CONFIRM_TEXT": "Are you sure? Do you want to logout",
      "RC_BANK_ACCOUNT_NAME": "Account holder name",
      "RC_BANK_ACCOUNT_NUMBER": "Account Number",
      "USER_VERIFICATION.INFO_TXT": "Here you can monitor your progress towards verification and account upgrades.",
      "USER_VERIFICATION.INFO_TXT_1": "Please submit the relevant information needed for each section below.Only when all sections have submissions completed will your information be reviewed and approved for an account upgrade. For amount deposits above CAD 3,000, contact support@bytex.ca. ",
      "SUMMARY.ACCOUNT_DETAILS_TXT_2": "Your trading account's age, activity level and total account assets amount will determine if your account is legible for an upgrade.",
      "USER_VERIFICATION.BANK_VERIFICATION_HELP_TEXT": "In order for this section to be verified you must complete the {0} section. Email support@bytex.ca to process your interac etransfer."
    }
  },
  "api_name": "www.bytex.ca",
  "defaults": { "theme": "dark", "country": "CA", "language": "en" },
  "features": {
    "chat": true,
    "home_page": true,
    "pro_trade": true,
    "quick_trade": true
  },
  "interface": {},
  "user_meta": {},
  "logo_image": "https://bitholla.s3.ap-northeast-2.amazonaws.com/exchange/bytex.ca/LOGO_IMAGE_LIGHT?t: 1634344229241",
  "description": "Every Byte Matters! \n© 2021 19 Tusker Technologies Ltd.\n\\n FINTRAC # M21765500.\nMade with love  Canada\n",
  "injected_html": { "body": "", "head": "" },
  "injected_values": [],
  "native_currency": "usdt",
  "setup_completed": true,
  "valid_languages": "en",
  "black_list_countries": [],
  "new_user_is_activated": true,
  "email_verification_required": false,
  "info": {
    "name": "bytexca",
    "active": true,
    "exchange_id": 3841,
    "user_id": 61142,
    "url": "https://api.bytex.ca",
    "is_trial": false,
    "created_at": "2021-10-15T11:34:38.637Z",
    "expiry": "2022-10-17T11:34:38.000Z",
    "collateral_level": "member",
    "type": "Cloud",
    "plan": "fiat",
    "period": "year",
    "status": true,
    "initialized": true
  }
}

```

{% endtab %}
{% endtabs %}

## Tiers

<mark style="color:blue;">`GET`</mark> `https://api.bytex.ca/v2/tiers`

This endpoint retrieves system tier levels for users.

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
  "1": {
    "id": 1,
    "name": "basic",
    "icon": "",
    "description": "basic tier",
    "deposit_limit": 0,
    "withdrawal_limit": 0,
    "fees": {
      "maker": {
        "eth-btc": 0.05,
        "ada-usdt": 0.05,
        "bch-usdt": 0.05,
        "bnb-usdt": 0.05,
        "btc-usdt": 0.05,
        "dot-usdt": 0.05,
        "eth-usdt": 0.05,
        "ltc-usdt": 0.05,
        "sol-usdt": 0.05,
        "trx-usdt": 0.05,
        "uni-usdt": 0.05,
        "usdt-cad": 0,
        "xht-usdt": 0.05,
        "xlm-usdt": 0.05,
        "xmr-usdt": 0,
        "xrp-usdt": 0.05,
        "xtz-usdt": 0,
        "doge-usdt": 0.05,
        "fotc-usdt": 0,
        "link-usdt": 0,
        "shib-usdt": 0.05,
        "ushx-usdt": 0
      },
      "taker": {
        "eth-btc": 0.1,
        "ada-usdt": 0.1,
        "bch-usdt": 0.1,
        "bnb-usdt": 0.1,
        "btc-usdt": 0.1,
        "dot-usdt": 0.1,
        "eth-usdt": 0.1,
        "ltc-usdt": 0.1,
        "sol-usdt": 0.1,
        "trx-usdt": 0.1,
        "uni-usdt": 0.1,
        "usdt-cad": 0.05,
        "xht-usdt": 0.1,
        "xlm-usdt": 0.1,
        "xmr-usdt": 0.05,
        "xrp-usdt": 0.1,
        "xtz-usdt": 0.05,
        "doge-usdt": 0.1,
        "fotc-usdt": 0.05,
        "link-usdt": 0.05,
        "shib-usdt": 0.1,
        "ushx-usdt": 0.05
      }
    },
    "note": "",
    "created_at": "2021-10-18T16:13:31.824Z",
    "updated_at": "2021-11-19T02:56:57.409Z"
  },
  "2": {
    "id": 2,
    "name": "vip",
    "icon": "",
    "description": "vip tier",
    "deposit_limit": 0,
    "withdrawal_limit": 0,
    "fees": {
      "maker": {
        "eth-btc": 0.05,
        "ada-usdt": 0.05,
        "bch-usdt": 0.05,
        "bnb-usdt": 0.05,
        "btc-usdt": 0.05,
        "dot-usdt": 0.05,
        "eth-usdt": 0.05,
        "ltc-usdt": 0.05,
        "sol-usdt": 0.05,
        "trx-usdt": 0.05,
        "uni-usdt": 0.05,
        "usdt-cad": 0,
        "xht-usdt": 0.05,
        "xlm-usdt": 0.05,
        "xmr-usdt": 0,
        "xrp-usdt": 0.05,
        "xtz-usdt": 0,
        "doge-usdt": 0.05,
        "fotc-usdt": 0,
        "link-usdt": 0,
        "shib-usdt": 0.05,
        "ushx-usdt": 0
      },
      "taker": {
        "eth-btc": 0.1,
        "ada-usdt": 0.1,
        "bch-usdt": 0.1,
        "bnb-usdt": 0.1,
        "btc-usdt": 0.1,
        "dot-usdt": 0.1,
        "eth-usdt": 0.1,
        "ltc-usdt": 0.1,
        "sol-usdt": 0.1,
        "trx-usdt": 0.1,
        "uni-usdt": 0.1,
        "usdt-cad": 0.05,
        "xht-usdt": 0.1,
        "xlm-usdt": 0.1,
        "xmr-usdt": 0.05,
        "xrp-usdt": 0.1,
        "xtz-usdt": 0.05,
        "doge-usdt": 0.1,
        "fotc-usdt": 0.05,
        "link-usdt": 0.05,
        "shib-usdt": 0.1,
        "ushx-usdt": 0.05
      }
    },
    "note": "",
    "created_at": "2021-10-18T16:13:31.824Z",
    "updated_at": "2021-11-19T02:56:57.707Z"
  }
}

```

{% endtab %}
{% endtabs %}

## Ticker

<mark style="color:blue;">`GET`</mark> `https://api.bytex.ca/v2/ticker?symbol=${symbol}`

This endpoint retrieves ticker information for a pair.

Ex: <https://api.bytex.ca/v2/ticker?symbol=xrp-usdt>

#### Path Parameters

| Name                                     | Type   | Description                         |
| ---------------------------------------- | ------ | ----------------------------------- |
| symbol<mark style="color:red;">\*</mark> | String | The currency pair symbol (xrp-usdt) |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
  "open": 0.99895,
  "close": 1.005,
  "high": 1.0269,
  "low": 0.96869,
  "last": 1.005,
  "volume": 90676,
  "timestamp": "2021-11-30T22:44:23.970Z"
}
```

{% endtab %}
{% endtabs %}

## Tickers

<mark style="color:blue;">`GET`</mark> `https://api.bytex.ca/v2/tickers`

This endpoint retrieves ticker information for all pairs.

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
  "ada-usdt": {
    "time": "2021-11-29T22:47:53.918Z",
    "open": 1.61051,
    "close": 1.56525,
    "high": 1.6265,
    "low": 1.5515,
    "last": 1.56525,
    "volume": 150568,
    "symbol": "ada-usdt"
  },
  "bch-usdt": {
    "time": "2021-11-29T22:47:53.918Z",
    "open": 573.2,
    "close": 575.4,
    "high": 586.6,
    "low": 558.5,
    "last": 575.4,
    "volume": 93.1397,
    "symbol": "bch-usdt"
  },
  "bnb-usdt": {
    "time": "2021-11-29T22:47:53.918Z",
    "open": 623.25,
    "close": 624.55,
    "high": 641.16,
    "low": 604.6,
    "last": 624.55,
    "volume": 201.872,
    "symbol": "bnb-usdt"
  },
  "btc-usdt": {
    "time": "2021-11-29T22:47:53.918Z",
    "open": 58158,
    "close": 57304.02,
    "high": 59053.72,
    "low": 56051.14,
    "last": 57304.02,
    "volume": 36.579,
    "symbol": "btc-usdt"
  },
  "doge-usdt": {
    "time": "2021-11-29T22:47:53.918Z",
    "open": 0.21625,
    "close": 0.216451,
    "high": 0.22485,
    "low": 0.21335,
    "last": 0.216451,
    "volume": 1396007,
    "symbol": "doge-usdt"
  },
  "dot-usdt": {
    "time": "2021-11-29T22:47:53.918Z",
    "open": 37.36,
    "close": 38.32,
    "high": 39.14,
    "low": 35.53,
    "last": 38.32,
    "volume": 12810.18,
    "symbol": "dot-usdt"
  },
  "eth-btc": {
    "time": "2021-11-29T22:47:53.918Z",
    "open": 0.07679,
    "close": 0.08135,
    "high": 0.08135,
    "low": 0.07648,
    "last": 0.08135,
    "volume": 624.8139,
    "symbol": "eth-btc"
  },
  "eth-usdt": {
    "time": "2021-11-29T22:47:53.918Z",
    "open": 4454.12,
    "close": 4655.43,
    "high": 4732.31,
    "low": 4356.65,
    "last": 4655.43,
    "volume": 562.4633,
    "symbol": "eth-usdt"
  },
  "link-usdt": {
    "time": "2021-11-29T22:47:53.918Z",
    "open": 24.85,
    "close": 25.67,
    "high": 26.44,
    "low": 24.21,
    "last": 25.67,
    "volume": 867.6,
    "symbol": "link-usdt"
  },
  "ltc-usdt": {
    "time": "2021-11-29T22:47:53.918Z",
    "open": 206.95,
    "close": 210.17,
    "high": 218.04,
    "low": 198.05,
    "last": 210.17,
    "volume": 1558.9826,
    "symbol": "ltc-usdt"
  },
  "shib-usdt": {
    "time": "2021-11-29T22:47:53.918Z",
    "open": 0.000044,
    "close": 0.000045,
    "high": 0.000045,
    "low": 0.000044,
    "last": 0.000045,
    "volume": 200100,
    "symbol": "shib-usdt"
  },
  "sol-usdt": {
    "time": "2021-11-29T22:47:53.918Z",
    "open": 205.6,
    "close": 211.4,
    "high": 217.1,
    "low": 199.9,
    "last": 211.4,
    "volume": 279.411,
    "symbol": "sol-usdt"
  },
  "trx-usdt": {
    "time": "2021-11-29T22:47:53.918Z",
    "open": 0.09644,
    "close": 0.09711,
    "high": 0.09959,
    "low": 0.0952,
    "last": 0.09711,
    "volume": 1801773.7,
    "symbol": "trx-usdt"
  },
  "uni-usdt": {
    "time": "2021-11-29T22:47:53.918Z",
    "open": 20.323,
    "close": 21.1,
    "high": 21.425,
    "low": 19.688,
    "last": 21.1,
    "volume": 2710.42,
    "symbol": "uni-usdt"
  },
  "ushx-usdt": {
    "time": "2021-11-29T22:47:53.918Z",
    "open": 0.000102,
    "close": 0.000102,
    "high": 0.000102,
    "low": 0.000102,
    "last": 0.000102,
    "volume": 500000,
    "symbol": "ushx-usdt"
  },
  "xht-usdt": {
    "time": "2021-11-29T22:47:53.918Z",
    "open": 0.2742,
    "close": 0.2755,
    "high": 0.2797,
    "low": 0.262,
    "last": 0.2755,
    "volume": 334400.1867,
    "symbol": "xht-usdt"
  },
  "xlm-usdt": {
    "time": "2021-11-29T22:47:53.918Z",
    "open": 0.32755,
    "close": 0.33947,
    "high": 0.3505,
    "low": 0.32725,
    "last": 0.33947,
    "volume": 436366,
    "symbol": "xlm-usdt"
  },
  "xmr-usdt": {
    "time": "2021-11-29T22:47:53.918Z",
    "open": 236.25,
    "close": 240.43,
    "high": 249.25,
    "low": 228.55,
    "last": 240.43,
    "volume": 174.842,
    "symbol": "xmr-usdt"
  },
  "xrp-usdt": {
    "time": "2021-11-29T22:47:53.918Z",
    "open": 0.99935,
    "close": 1.0058,
    "high": 1.0269,
    "low": 0.96869,
    "last": 1.0058,
    "volume": 90665.3,
    "symbol": "xrp-usdt"
  },
  "xtz-usdt": {
    "time": "2021-11-29T22:47:53.918Z",
    "open": 5.61025,
    "close": 5.56751,
    "high": 5.80645,
    "low": 5.25676,
    "last": 5.56751,
    "volume": 72366.7,
    "symbol": "xtz-usdt"
  },
  "usdc-usdt": {
    "open": 0,
    "close": 0,
    "high": 0,
    "low": 0,
    "last": 0,
    "volume": 0
  },
  "usdt-cad": {
    "open": 1.19,
    "close": 1.19,
    "high": 1.19,
    "low": 1.19,
    "last": 1.19,
    "volume": 0
  },
  "dai-usdt": {
    "open": 0,
    "close": 0,
    "high": 0,
    "low": 0,
    "last": 0,
    "volume": 0
  },
  "fotc-usdt": {
    "open": 0,
    "close": 0,
    "high": 0,
    "low": 0,
    "last": 0,
    "volume": 0
  }
}
```

{% endtab %}
{% endtabs %}

## Orderbook

<mark style="color:blue;">`GET`</mark> `https://api.bytex.ca/v2/orderbook?symbol=${symbol}`

This endpoint retrieves 10 level bids and 10 level asks of the orderbook for a symbol.

Ex: <https://api.bytex.ca/v2/orderbook?symbol=xrp-usdt>

#### Path Parameters

| Name                                     | Type   | Description                               |
| ---------------------------------------- | ------ | ----------------------------------------- |
| symbol<mark style="color:red;">\*</mark> | String | The currency pair symbol (xrp-usdt, etc.) |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
  "btc-usdt": {},
  "eth-usdt": {},
  "xht-usdt": {},
  "shib-usdt": {},
  "xrp-usdt": {
    "bids": [
      [1.00459, 75],
      [1.00364, 193],
      [1.00255, 885],
      [0.99121, 2086],
      [0.9907, 831],
      [0.96557, 275],
      [0.95523, 50],
      [0.92534, 722]
    ],
    "asks": [
      [1.0053, 26],
      [1.0071, 75],
      [1.01167, 169],
      [1.02018, 1563],
      [1.02109, 695],
      [1.04624, 406],
      [1.0562, 50],
      [1.08647, 634],
      [2, 62.7]
    ],
    "timestamp": "2021-11-30T22:49:28.181Z"
  },
  "trx-usdt": {},
  "ada-usdt": {},
  "bch-usdt": {},
  "eth-btc": {},
  "xlm-usdt": {},
  "dot-usdt": {},
  "doge-usdt": {},
  "ltc-usdt": {},
  "bnb-usdt": {},
  "uni-usdt": {},
  "sol-usdt": {},
  "usdt-cad": {},
  "xmr-usdt": {},
  "fotc-usdt": {},
  "ushx-usdt": {},
  "link-usdt": {},
  "xtz-usdt": {}
}
```

{% endtab %}
{% endtabs %}

## Orderbooks

<mark style="color:blue;">`GET`</mark> `https://api.bytex.ca/v2/orderbooks`

This endpoint retrieves 10 level bids and 10 level asks of the orderbook for all symbols.

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
  "btc-usdt": {
    "bids": [
      [57225.52, 0.01348],
      [57197.29, 0.05338],
      [57110.68, 1.02873],
      [57101.05, 0.1076],
      [56898.85, 0.00343],
      [56878.13, 0.04305],
      [56515.17, 0.02236],
      [56338.31, 0.01],
      [56222.07, 0.00869],
      [56140.5, 0.005],
      [56097, 0.005],
      [55585.47, 0.005],
      [55361.53, 0.00272],
      [54097, 0.005],
      [53597, 0.005],
      [53197, 0.005],
      [53097, 0.005],
      [53000, 0.005],
      [52599.99, 0.005],
      [52399.99, 0.005]
    ],
    "asks": [
      [57284.56, 0.41823],
      [57303.83, 0.01465],
      [57317.99, 0.05757],
      [57372.35, 0.72685],
      [57536.06, 0.0053],
      [57641.53, 0.07515],
      [58186.92, 0.03738],
      [58498.48, 0.00189],
      [59359.9, 0.01627],
      [62681.87, 0.0001],
      [63000, 0.0001],
      [63104.07, 0.00064],
      [63395.24, 0.00031],
      [64395.24, 0.00042],
      [65628.19, 0.00047],
      [66500, 0.00047],
      [68000, 0.00242],
      [68356.85, 0.0001],
      [68844.28, 0.00435],
      [69496.13, 0.0001]
    ],
    "timestamp": "2021-11-30T22:52:08.725Z"
  },
  "eth-usdt": {
    "bids": [
      [4648.42, 3.0665],
      [4635.95, 1.4539],
      [4591.93, 0.022],
      [4574.06, 0.2432],
      [4552.68, 2.7442],
      [4413.6, 0.3003],
      [4181.34, 0.3407],
      [3949.39, 2.6181],
      [3900, 0.001],
      [2474.96, 0.0017],
      [2020, 0.001],
      [1500, 0.001]
    ],
    "asks": [
      [4650.81, 1.8606],
      [4663.87, 0.9635],
      [4690.72, 0.0109],
      [4712.46, 0.0126],
      [4741.04, 3.5737],
      [4880.64, 0.2733],
      [5000, 0.0021],
      [5113.21, 0.5784],
      [5346.12, 1.7128]
    ],
    "timestamp": "2021-11-30T22:51:57.108Z"
  },
  "xht-usdt": {
    "bids": [
      [0.2712, 303],
      [0.2705, 8130],
      [0.2664, 5884],
      [0.2536, 5],
      [0.2523, 5],
      [0.2501, 192],
      [0.25, 311.1],
      [0.2493, 4.9],
      [0.248, 10.9],
      [0.2443, 31],
      [0.24, 401.6],
      [0.233, 35],
      [0.23, 549],
      [0.22, 755.3],
      [0.2158, 17],
      [0.21, 25],
      [0.205, 48790],
      [0.202, 21],
      [0.2019, 110],
      [0.201, 30]
    ],
    "asks": [
      [0.274, 1464],
      [0.2753, 1898],
      [0.2796, 7388],
      [0.28, 10],
      [0.29, 29],
      [0.3, 23],
      [0.305, 49.9],
      [0.31, 30],
      [0.32, 18],
      [0.322, 21],
      [0.33, 51],
      [0.333, 383],
      [0.34, 74],
      [0.36, 148],
      [0.38, 842],
      [0.3805, 67],
      [0.3899, 3350],
      [0.39, 550],
      [0.3903, 3350],
      [0.3904, 3350]
    ],
    "timestamp": "2021-11-30T22:51:28.659Z"
  },
  "shib-usdt": {
    "bids": [[0.000045, 1214.3]],
    "asks": [
      [0.000048, 100000],
      [0.00005, 10000],
      [0.4, 1000],
      [0.5, 1000],
      [0.6, 1000],
      [0.7, 1000],
      [0.8, 1000],
      [0.9, 1000],
      [1, 1100]
    ],
    "timestamp": "2021-11-30T21:30:37.976Z"
  },
  "xrp-usdt": {
    "bids": [
      [1.00388, 95],
      [1.00228, 594],
      [0.99836, 324],
      [0.99121, 2086],
      [0.9907, 831],
      [0.96557, 275],
      [0.95523, 50],
      [0.92534, 722]
    ],
    "asks": [
      [1.0071, 554],
      [1.01167, 169],
      [1.02018, 1563],
      [1.02109, 695],
      [1.04624, 406],
      [1.0562, 50],
      [1.08647, 634],
      [2, 62.7]
    ],
    "timestamp": "2021-11-30T22:52:05.845Z"
  },
  "trx-usdt": {
    "bids": [
      [0.09704, 2926],
      [0.09631, 3.7],
      [0.09532, 7.1],
      [0.09242, 6.5],
      [0.08756, 6.4],
      [0.08659, 25.6],
      [0.08269, 69.6],
      [0.07782, 4.8],
      [0.07387, 2.2]
    ],
    "asks": [
      [0.09722, 2888],
      [0.09822, 0.8],
      [0.09919, 2.3],
      [0.1, 50],
      [0.10211, 2.7],
      [0.10698, 23.1],
      [0.10795, 16.9],
      [0.11183, 81.1],
      [0.11669, 1.2],
      [0.12388, 1.3],
      [0.12928, 1],
      [0.13, 53],
      [0.2, 22.9]
    ],
    "timestamp": "2021-11-30T22:50:01.737Z"
  },
  "ada-usdt": {
    "bids": [
      [1.55943, 1556],
      [1.55133, 5],
      [1.53664, 94],
      [1.4896, 44],
      [1.4112, 405],
      [1.39552, 37],
      [1.3328, 244],
      [1.25439, 19],
      [0.1, 1]
    ],
    "asks": [
      [1.56356, 1132],
      [1.58367, 12],
      [1.60037, 98],
      [1.64745, 52],
      [1.72589, 443],
      [1.74158, 27],
      [1.80434, 1369],
      [1.8828, 15],
      [2.4, 9.1]
    ],
    "timestamp": "2021-11-30T22:50:59.110Z"
  },
  "bch-usdt": {
    "bids": [
      [574, 0.0753],
      [573.2, 0.5565],
      [571.3, 0.0969],
      [570.3, 0.0117],
      [563.5, 1.0186],
      [558, 0.7089],
      [552, 0.0303],
      [517.7, 0.4549],
      [460.2, 0.5786],
      [350, 0.0001]
    ],
    "asks": [
      [574.5, 0.4538],
      [575.3, 0.2261],
      [579.2, 0.0897],
      [579.8, 0.0143],
      [586.7, 2.7864],
      [592.7, 0.046],
      [598.3, 0.1028],
      [633.1, 0.399],
      [690.6, 1.2725]
    ],
    "timestamp": "2021-11-30T22:50:59.199Z"
  },
  "eth-btc": {
    "bids": [
      [0.0811, 0.1499],
      [0.08053, 1.7012],
      [0.07936, 0.0196],
      [0.07694, 0.0239],
      [0.07693, 0.0865],
      [0.07288, 0.4381],
      [0.07208, 4.4977],
      [0.06884, 0.0745],
      [0.06479, 0.1399],
      [0.062, 0.0174]
    ],
    "asks": [
      [0.08124, 0.1545],
      [0.08218, 1.86],
      [0.08261, 0.0248],
      [0.08509, 0.0835],
      [0.08777, 0.0001],
      [0.08914, 0.3717],
      [0.08996, 2.898],
      [0.09318, 0.0506],
      [0.09725, 0.5562],
      [0.09777, 0.0001]
    ],
    "timestamp": "2021-11-30T22:51:42.772Z"
  },
  "xlm-usdt": {
    "bids": [
      [0.3386, 444],
      [0.3374, 57],
      [0.33285, 4304],
      [0.31931, 34],
      [0.31252, 284],
      [0.30232, 1510],
      [0.29214, 1300],
      [0.27516, 171],
      [0.27175, 112]
    ],
    "asks": [
      [0.339, 453],
      [0.33978, 72],
      [0.34665, 1264],
      [0.36019, 67],
      [0.36697, 246],
      [0.37723, 2819],
      [0.38736, 220],
      [0.40448, 416],
      [0.40776, 305]
    ],
    "timestamp": "2021-11-30T22:52:08.145Z"
  },
  "dot-usdt": {
    "bids": [
      [38.18, 13],
      [37.79, 3.95],
      [37.74, 5.02],
      [36.57, 4.17],
      [34.65, 48.59],
      [34.28, 3.31],
      [32.74, 27.63],
      [30.82, 3.69]
    ],
    "asks": [
      [38.27, 16.87],
      [38.56, 0.2],
      [39.29, 8.67],
      [40.46, 12.75],
      [42.38, 34.83],
      [42.77, 7.67],
      [44.31, 18.11],
      [46.24, 1.72],
      [60, 1],
      [85, 0.5],
      [100, 0.5]
    ],
    "timestamp": "2021-11-30T22:50:59.301Z"
  },
  "doge-usdt": {
    "bids": [
      [0.216184, 406],
      [0.214533, 197],
      [0.212366, 421],
      [0.205865, 2656],
      [0.19503, 4630],
      [0.192863, 340],
      [0.184195, 19569],
      [0.18, 200],
      [0.17336, 136],
      [0.1, 100]
    ],
    "asks": [
      [0.216717, 1024],
      [0.218968, 336],
      [0.221136, 278],
      [0.22764, 983],
      [0.23848, 969],
      [0.24, 269],
      [0.240648, 619],
      [0.24932, 13153],
      [0.25, 202],
      [0.26016, 117],
      [0.29, 25],
      [0.299, 1549],
      [0.3, 2058],
      [0.31, 25],
      [0.32, 25],
      [0.34, 25],
      [0.35, 29],
      [0.36, 29],
      [0.37, 35],
      [0.38, 25]
    ],
    "timestamp": "2021-11-30T22:51:09.155Z"
  },
  "ltc-usdt": {
    "bids": [
      [208.96, 2.7701],
      [207.23, 0.7969],
      [204.82, 1.4788],
      [200.83, 0.1027],
      [194.46, 2.6025],
      [192.46, 0.3381],
      [186.19, 0.0785],
      [177.82, 3.0473],
      [167.36, 0.0907]
    ],
    "asks": [
      [209.14, 4.1828],
      [210.97, 1.0194],
      [213.49, 1.1533],
      [217.67, 0.3144],
      [223.95, 0.7053],
      [226.04, 0.3031],
      [232.32, 0.3296],
      [240.7, 9.3541],
      [251.16, 0.0551],
      [261.16, 0.01],
      [265.68, 0.005],
      [272.51, 0.01],
      [300, 0.029],
      [500, 1.0025],
      [650, 0.105],
      [1000, 1]
    ],
    "timestamp": "2021-11-30T22:51:33.194Z"
  },
  "bnb-usdt": {
    "bids": [
      [624.27, 0.41],
      [622.83, 3.474],
      [618.75, 0.365],
      [612.5, 0.863],
      [200, 0.001]
    ],
    "asks": [
      [625.63, 1.095],
      [626.57, 4.26],
      [631.15, 0.143],
      [637.8, 0.347]
    ],
    "timestamp": "2021-11-30T22:51:22.168Z"
  },
  "uni-usdt": {
    "bids": [
      [21.099, 14.28],
      [20.928, 0.14],
      [20.717, 3.49],
      [20.082, 29.52],
      [19.026, 17.98],
      [18.815, 0.4],
      [17.969, 40.21],
      [16.912, 4.73]
    ],
    "asks": [
      [21.151, 16.39],
      [21.351, 2.2],
      [21.563, 2.62],
      [22.202, 23.56],
      [23.265, 23.85],
      [23.476, 5.56],
      [24.322, 101.38],
      [25.38, 1.04]
    ],
    "timestamp": "2021-11-30T22:51:00.863Z"
  },
  "sol-usdt": {
    "bids": [
      [210.5, 1.413],
      [210.4, 35],
      [208.6, 3.802],
      [206.6, 9],
      [100, 0.1]
    ],
    "asks": [
      [211.1, 1.391],
      [211.3, 8],
      [213, 3.414],
      [215.3, 19],
      [230, 0.015],
      [250, 0.05],
      [255, 0.05],
      [260, 0.1],
      [270, 0.1],
      [280, 0.2],
      [290, 0.1],
      [300, 0.1]
    ],
    "timestamp": "2021-11-30T22:51:34.112Z"
  },
  "usdt-cad": {
    "bids": [],
    "asks": [],
    "timestamp": "2021-11-30T06:49:22.708Z"
  },
  "xmr-usdt": {
    "bids": [
      [240.15, 9.949],
      [238.77, 2.296],
      [234.81, 1.718],
      [230.02, 0.037],
      [222.83, 3.507],
      [220.52, 0.167],
      [213.33, 0.199],
      [203.66, 10.054],
      [191.68, 0.039]
    ],
    "asks": [
      [240.35, 6.432],
      [242.73, 1.73],
      [244.49, 1.349],
      [249.29, 0.111],
      [254.18, 0.002],
      [256.48, 3.501],
      [256.5, 0.002],
      [259.08, 0.237],
      [263.63, 0.006],
      [266.29, 0.07],
      [275.66, 2.348],
      [287.63, 0.079],
      [500, 1],
      [600, 1]
    ],
    "timestamp": "2021-11-30T22:52:08.283Z"
  },
  "fotc-usdt": {
    "bids": [],
    "asks": [],
    "timestamp": "2021-11-30T06:49:11.268Z"
  },
  "ushx-usdt": {
    "bids": [],
    "asks": [
      [0.000105, 23747619.04761905],
      [0.00011, 154000772.35282177],
      [0.00012, 10000000]
    ],
    "timestamp": "2021-11-30T17:37:39.485Z"
  },
  "link-usdt": {
    "bids": [
      [25.6, 3],
      [25.54, 2],
      [25.44, 6],
      [25.19, 5]
    ],
    "asks": [
      [25.67, 4],
      [25.71, 5],
      [25.97, 4],
      [26.23, 2]
    ],
    "timestamp": "2021-11-30T22:51:12.890Z"
  },
  "xtz-usdt": {
    "bids": [
      [5.56243, 570.1],
      [5.50638, 2.4],
      [5.45762, 0.5],
      [5.29054, 5.5],
      [5.01299, 87.6],
      [4.95729, 17.3],
      [4.73449, 56.1],
      [4.456, 1909.4]
    ],
    "asks": [
      [5.57957, 544.8],
      [5.62166, 1.4],
      [5.68344, 6.3],
      [5.8506, 6.6],
      [6, 1],
      [6.045, 2.4],
      [6.13084, 66.8],
      [6.18492, 27.7],
      [6.41194, 672.8],
      [6.52923, 2],
      [6.69, 611.8],
      [7, 3],
      [7.5, 4],
      [8, 5],
      [9, 6],
      [10, 7]
    ],
    "timestamp": "2021-11-30T22:51:40.406Z"
  }
}
```

{% endtab %}
{% endtabs %}

## Trades

<mark style="color:blue;">`GET`</mark> `https://api.bytex.ca/v2/trades`

This endpoint retrieves the last 30 trades.

#### Path Parameters

| Name   | Type   | Description                               |
| ------ | ------ | ----------------------------------------- |
| symbol | String | The currency pair symbol (xrp-usdt, etc.) |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
  "btc-usdt": [
    {
      "size": 0.12484,
      "price": 57304.02,
      "side": "buy",
      "timestamp": "2021-11-30T22:47:07.761Z"
    },
    {
      "size": 0.14564,
      "price": 57312.7,
      "side": "buy",
      "timestamp": "2021-11-30T22:43:19.650Z"
    },
    {
      "size": 0.18834,
      "price": 57275.94,
      "side": "sell",
      "timestamp": "2021-11-30T22:39:52.318Z"
    },
    {
      "size": 0.04596,
      "price": 57251.51,
      "side": "buy",
      "timestamp": "2021-11-30T22:38:37.384Z"
    },
    {
      "size": 0.15738,
      "price": 57289.96,
      "side": "sell",
      "timestamp": "2021-11-30T22:35:17.891Z"
    },
    {
      "size": 0.09683,
      "price": 57361.46,
      "side": "buy",
      "timestamp": "2021-11-30T22:32:37.780Z"
    },
    {
      "size": 0.08058,
      "price": 57382.04,
      "side": "buy",
      "timestamp": "2021-11-30T22:31:15.081Z"
    },
    {
      "size": 0.05727,
      "price": 57387.21,
      "side": "sell",
      "timestamp": "2021-11-30T22:27:21.059Z"
    },
    {
      "size": 0.09716,
      "price": 57346.55,
      "side": "sell",
      "timestamp": "2021-11-30T22:23:26.121Z"
    },
    {
      "size": 0.05421,
      "price": 57190.43,
      "side": "sell",
      "timestamp": "2021-11-30T22:19:28.080Z"
    },
    {
      "size": 0.04189,
      "price": 57205.79,
      "side": "sell",
      "timestamp": "2021-11-30T22:12:20.200Z"
    },
    {
      "size": 0.06719,
      "price": 57172.58,
      "side": "sell",
      "timestamp": "2021-11-30T22:07:45.481Z"
    },
    {
      "size": 0.06921,
      "price": 57173.51,
      "side": "sell",
      "timestamp": "2021-11-30T22:07:22.888Z"
    },
    {
      "size": 0.05458,
      "price": 57101.05,
      "side": "buy",
      "timestamp": "2021-11-30T21:59:40.967Z"
    },
    {
      "size": 0.09598,
      "price": 57158.42,
      "side": "sell",
      "timestamp": "2021-11-30T21:56:51.904Z"
    },
    {
      "size": 0.06889,
      "price": 57129.48,
      "side": "sell",
      "timestamp": "2021-11-30T21:50:32.431Z"
    },
    {
      "size": 0.41451,
      "price": 57080.53,
      "side": "buy",
      "timestamp": "2021-11-30T21:50:31.061Z"
    },
    {
      "size": 0.27385,
      "price": 57018.91,
      "side": "sell",
      "timestamp": "2021-11-30T21:40:17.093Z"
    },
    {
      "size": 0.08779,
      "price": 57049.7,
      "side": "buy",
      "timestamp": "2021-11-30T21:38:28.523Z"
    },
    {
      "size": 0.04789,
      "price": 57271.79,
      "side": "sell",
      "timestamp": "2021-11-30T21:33:36.047Z"
    },
    {
      "size": 0.05338,
      "price": 57260.77,
      "side": "buy",
      "timestamp": "2021-11-30T21:32:33.219Z"
    },
    {
      "size": 0.06795,
      "price": 57326.81,
      "side": "buy",
      "timestamp": "2021-11-30T21:26:26.068Z"
    },
    {
      "size": 0.22571,
      "price": 57602.05,
      "side": "sell",
      "timestamp": "2021-11-30T21:18:40.230Z"
    },
    {
      "size": 0.07992,
      "price": 57602.73,
      "side": "buy",
      "timestamp": "2021-11-30T21:17:22.851Z"
    },
    {
      "size": 0.04411,
      "price": 57605.87,
      "side": "buy",
      "timestamp": "2021-11-30T21:13:56.265Z"
    },
    {
      "size": 0.09551,
      "price": 57512.65,
      "side": "sell",
      "timestamp": "2021-11-30T21:09:53.043Z"
    },
    {
      "size": 0.13083,
      "price": 57550.98,
      "side": "buy",
      "timestamp": "2021-11-30T21:08:43.736Z"
    },
    {
      "size": 0.0718,
      "price": 57529.68,
      "side": "buy",
      "timestamp": "2021-11-30T21:08:26.296Z"
    },
    {
      "size": 0.04414,
      "price": 57584.43,
      "side": "buy",
      "timestamp": "2021-11-30T21:06:04.187Z"
    },
    {
      "size": 0.10722,
      "price": 57490.84,
      "side": "sell",
      "timestamp": "2021-11-30T21:01:48.644Z"
    },
    {
      "size": 0.07316,
      "price": 57480.3,
      "side": "buy",
      "timestamp": "2021-11-30T20:58:52.660Z"
    },
    {
      "size": 0.09549,
      "price": 57229.8,
      "side": "buy",
      "timestamp": "2021-11-30T20:54:55.344Z"
    },
    {
      "size": 0.08122,
      "price": 57413.7,
      "side": "buy",
      "timestamp": "2021-11-30T20:43:17.125Z"
    },
    {
      "size": 0.04788,
      "price": 57420.12,
      "side": "sell",
      "timestamp": "2021-11-30T20:28:32.934Z"
    },
    {
      "size": 0.07697,
      "price": 57421.85,
      "side": "buy",
      "timestamp": "2021-11-30T20:27:55.972Z"
    },
    {
      "size": 0.04472,
      "price": 57394.85,
      "side": "buy",
      "timestamp": "2021-11-30T20:27:45.073Z"
    },
    {
      "size": 0.0615,
      "price": 57411.87,
      "side": "sell",
      "timestamp": "2021-11-30T20:23:49.222Z"
    },
    {
      "size": 0.05396,
      "price": 57434.88,
      "side": "sell",
      "timestamp": "2021-11-30T20:20:47.421Z"
    },
    {
      "size": 0.13265,
      "price": 57267.68,
      "side": "buy",
      "timestamp": "2021-11-30T20:15:53.284Z"
    },
    {
      "size": 0.10425,
      "price": 57615.46,
      "side": "sell",
      "timestamp": "2021-11-30T20:08:24.864Z"
    },
    {
      "size": 0.04822,
      "price": 57665.47,
      "side": "sell",
      "timestamp": "2021-11-30T20:06:58.049Z"
    },
    {
      "size": 0.05577,
      "price": 57729.17,
      "side": "sell",
      "timestamp": "2021-11-30T20:04:12.519Z"
    },
    {
      "size": 0.24518,
      "price": 57631.01,
      "side": "sell",
      "timestamp": "2021-11-30T19:59:13.561Z"
    },
    {
      "size": 0.15429,
      "price": 57521.12,
      "side": "buy",
      "timestamp": "2021-11-30T19:55:37.935Z"
    },
    {
      "size": 0.04216,
      "price": 57522.99,
      "side": "buy",
      "timestamp": "2021-11-30T19:52:10.295Z"
    },
    {
      "size": 0.21274,
      "price": 57584.8,
      "side": "buy",
      "timestamp": "2021-11-30T19:49:16.575Z"
    },
    {
      "size": 0.05952,
      "price": 57608.5,
      "side": "sell",
      "timestamp": "2021-11-30T19:40:46.924Z"
    },
    {
      "size": 0.0723,
      "price": 57561.66,
      "side": "buy",
      "timestamp": "2021-11-30T19:34:07.028Z"
    },
    {
      "size": 0.11239,
      "price": 57921.29,
      "side": "buy",
      "timestamp": "2021-11-30T19:23:28.993Z"
    },
    {
      "size": 0.09394,
      "price": 57866.94,
      "side": "buy",
      "timestamp": "2021-11-30T19:20:57.841Z"
    }
  ],
```

{% endtab %}
{% endtabs %}

## Chart

<mark style="color:blue;">`GET`</mark> `https://api.bytex.ca/v2/chart?symbol=${symbol}&resolution=${resolution}&from=${from}&to=${to}`

This endpoint retrieves a trading pair's trade history HOLCV.

Ex: <https://api.bytex.ca/v2/chart?symbol=xrp-usdt&resolution=7d&from=1635659942&to=1638255542>

#### Path Parameters

| Name                                         | Type   | Description                                    |
| -------------------------------------------- | ------ | ---------------------------------------------- |
| symbol<mark style="color:red;">\*</mark>     | String | Symbol to get                                  |
| resolution<mark style="color:red;">\*</mark> | String | Time interval resolution (15, 60, 240, 1D, 1W) |
| from<mark style="color:red;">\*</mark>       | String | Beginning UNIX timestamp                       |
| to<mark style="color:red;">\*</mark>         | String | Ending UNIX timestamp                          |

{% tabs %}
{% tab title="200: OK " %}

```javascript
[
  {
    "time": "2021-11-01T00:00:00.000Z",
    "close": 1.21404,
    "high": 1.25367,
    "low": 1.07985,
    "open": 1.11035,
    "symbol": "xrp-usdt",
    "volume": 466623.7
  },
  {
    "time": "2021-11-08T00:00:00.000Z",
    "close": 1.18824,
    "high": 1.3364,
    "low": 1.15585,
    "open": 1.22834,
    "symbol": "xrp-usdt",
    "volume": 674652.7
  },
  {
    "time": "2021-11-15T00:00:00.000Z",
    "close": 1.05735,
    "high": 1.21845,
    "low": 1.01799,
    "open": 1.19285,
    "symbol": "xrp-usdt",
    "volume": 632265.7
  },
  {
    "time": "2021-11-22T00:00:00.000Z",
    "close": 0.95224,
    "high": 1.07245,
    "low": 0.88848,
    "open": 1.05543,
    "symbol": "xrp-usdt",
    "volume": 216407.7
  },
  {
    "time": "2021-11-29T00:00:00.000Z",
    "close": 1.00394,
    "high": 1.0269,
    "low": 0.968,
    "open": 0.97455,
    "symbol": "xrp-usdt",
    "volume": 138346.4
  }
]

```

{% endtab %}
{% endtabs %}

## Charts

<mark style="color:blue;">`GET`</mark> `https://api.bytex.ca/v2/charts?resolution=${resolution}&from=${from}to=${to}`

This endpoint retrieves trade history HOLCV for all pairs.

Ex:&#x20;

#### Path Parameters

| Name                                         | Type   | Description                                    |
| -------------------------------------------- | ------ | ---------------------------------------------- |
| resolution<mark style="color:red;">\*</mark> | String | Time interval resolution (15, 60, 240, 1D, 1W) |
| from<mark style="color:red;">\*</mark>       | String | Beginning UNIX timestamp                       |
| to<mark style="color:red;">\*</mark>         | String | Ending UNIX timestamp                          |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
  "ada-usdt": [
    {
      "time": "2021-11-01T00:00:00.000Z",
      "close": 2.0165,
      "high": 2.16369,
      "low": 1.92692,
      "open": 1.9625,
      "volume": 782826.1,
      "symbol": "ada-usdt"
    },
    {
      "time": "2021-11-08T00:00:00.000Z",
      "close": 2.0395,
      "high": 2.36749,
      "low": 1.9995,
      "open": 2.0205,
      "volume": 1289222.4,
      "symbol": "ada-usdt"
    },
    {
      "time": "2021-11-15T00:00:00.000Z",
      "close": 1.8365,
      "high": 2.09199,
      "low": 1.7305,
      "open": 2.0505,
      "volume": 1020531.6,
      "symbol": "ada-usdt"
    },
    {
      "time": "2021-11-22T00:00:00.000Z",
      "close": 1.47045,
      "high": 1.83651,
      "low": 1.43955,
      "open": 1.83651,
      "volume": 313548,
      "symbol": "ada-usdt"
    },
    {
      "time": "2021-11-29T00:00:00.000Z",
      "close": 1.5615,
      "high": 1.63451,
      "low": 1.5515,
      "open": 1.58858,
      "volume": 228681.9,
      "symbol": "ada-usdt"
    }
  ],
  "ama-usdt": [
    {
      "time": "2021-11-01T00:00:00.000Z",
      "close": 0.0102,
      "high": 0.0102,
      "low": 0.0102,
      "open": 0.0102,
      "volume": 50,
      "symbol": "ama-usdt"
    },
    {
      "time": "2021-11-08T00:00:00.000Z",
      "close": 0.0103,
      "high": 0.0103,
      "low": 0.0103,
      "open": 0.0103,
      "volume": 1,
      "symbol": "ama-usdt"
    }
  ],
  "avax-usdt": [
    {
      "time": "2021-11-01T00:00:00.000Z",
      "close": 87.6,
      "high": 88.6,
      "low": 62.7,
      "open": 64.2,
      "volume": 20713.8,
      "symbol": "avax-usdt"
    },
    {
      "time": "2021-11-08T00:00:00.000Z",
      "close": 95.4,
      "high": 99.6,
      "low": 81.5,
      "open": 86.5,
      "volume": 15709.447,
      "symbol": "avax-usdt"
    },
    {
      "time": "2021-11-15T00:00:00.000Z",
      "close": 128.3,
      "high": 145.4,
      "low": 84,
      "open": 96,
      "volume": 10433.183,
      "symbol": "avax-usdt"
    },
    {
      "time": "2021-11-22T00:00:00.000Z",
      "close": 105,
      "high": 144.7,
      "low": 102.5,
      "open": 129.2,
      "volume": 3116.634,
      "symbol": "avax-usdt"
    },
    {
      "time": "2021-11-29T00:00:00.000Z",
      "close": 119.7,
      "high": 124.2,
      "low": 109.3,
      "open": 112.5,
      "volume": 2353.101,
      "symbol": "avax-usdt"
    }
  ],
  "awb-usdt": [
    {
      "time": "2021-11-01T00:00:00.000Z",
      "close": 1.2,
      "high": 1.2,
      "low": 1,
      "open": 1,
      "volume": 1004.6,
      "symbol": "awb-usdt"
    },
    {
      "time": "2021-11-08T00:00:00.000Z",
      "close": 1.45,
      "high": 1.45,
      "low": 1.2,
      "open": 1.2,
      "volume": 2228.4,
      "symbol": "awb-usdt"
    },
    {
      "time": "2021-11-15T00:00:00.000Z",
      "close": 1.59,
      "high": 1.6,
      "low": 1.38,
      "open": 1.4,
      "volume": 11897,
      "symbol": "awb-usdt"
    },
    {
      "time": "2021-11-22T00:00:00.000Z",
      "close": 1.55,
      "high": 1.58,
      "low": 0.99,
      "open": 1.58,
      "volume": 4739.5,
      "symbol": "awb-usdt"
    },
    {
      "time": "2021-11-29T00:00:00.000Z",
      "close": 1.2,
      "high": 1.35,
      "low": 0.85,
      "open": 1.1,
      "volume": 7946.3,
      "symbol": "awb-usdt"
    }
    ...
  ],
```

{% endtab %}
{% endtabs %}

## Private

### Authentication

ByteX Exchange uses HMAC-SHA256 authentication for private user access to the API. HMAC-SHA256 takes a string and secret key (your [`api-secret`](https://docs.bytex.ca/api-documentation/..#generate-your-api-key)) and outputs an encoded signature (your `api-signature`). The string being encoded should follow the format `${METHOD}${PATH}${api-expires}`, where `METHOD` is the HTTP method of the request, `PATH` is the path of the request, and `api-expires` is a unix timestamp indicating when the request expires.

The string being encoded should follow the format `${METHOD}${PATH}${api-expires}`, where `METHOD` is the HTTP method of the request, `PATH` is the path of the request, and `api-expires` is a unix timestamp indicating when the request expires. If the request includes a body, the JSON body object should be appended to the string being encoded e.g. `${METHOD}${PATH}${api-expires}${JSON_BODY}`.

{% hint style="info" %}
You can use an online [HMAC generator](https://www.freeformatter.com/hmac-generator.html) to generate the signature.
{% endhint %}

{% hint style="info" %}
You can use [UNIX Timestamp](https://www.unixtimestamp.com/index.php) converter to get the `api-expires`&#x20;
{% endhint %}

Examples of strings being encoded:

* `GET` request to `https://api.bytex.ca/v2/user/balance` that expires at `1575516146`
  * `GET/v2/user/balance1575516146`
* `POST` request to `https://api.bytex.ca/v2/order` that expires at `1575516146` with body `{"symbol":"btc-usdt","side":"buy","size":0.001,"type":"market"}`
  * `POST/v2/order1583284849{"symbol":"btc-usdt","side":"buy","size":0.001,"type":"market"}`

### Example GET Request

Using the GET User request below, you can encode a string like this:

1. Visit an online [HMAC generator](https://www.freeformatter.com/hmac-generator.html) to generate your `api-signature`
2. Insert the string you want to encode, followed by your `api-secret` and select `SHA256` for algorithm
3. Click on **Compute HMAC,** and it will generate a computed HMAC; this will be your `api-signature`

![HMAC246 Setup Guide](https://2455747754-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FdEMWnZA34EbwFN74ZQ6O%2Fuploads%2FICKzuIJSWOAUsE0sHxcB%2Fimage%20\(4\).png?alt=media\&token=7f490a54-b79d-4e56-92fc-39cfa153d02f)

Once you've generated your `api-signature` make the request in your shell, with the following code:

```
# With shell, you can just pass the correct header with each request
curl -X GET
  -H "api-key: $API_KEY"
  -H "api-signature: $API_SIGNATURE"
  -H "api-expires: $API_EXPIRES"
  "https://api.bytex.ca/v2/user"
```

{% hint style="info" %}
When inserting the code in your shell, paste it in one line like this:&#x20;

curl -X GET -H "api-key: $API\_KEY" -H "api-signature: $API\_SIGNATURE" -H "api-expires: $API\_EXPIRES" "<https://api.bytex.ca/v2/user>"
{% endhint %}

{% hint style="info" %}
Make sure to replace `$API_KEY`, `$API_SIGNATURE`, and `$API_EXPIRES` with your own key, signature, and expires values.
{% endhint %}

## Get User

<mark style="color:blue;">`GET`</mark> `https://api.bytex.ca/v2/user`

This endpoint gets user's information, wallet address as well as his balance.

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "id": 1,
    "email": "fight@club.com",
    "full_name": "Tyler Durden",
    "gender": true,
    "nationality": "USA",
    "dob": "2017-07-21T17:32:28.000Z",
    "phone_number": "",
    "address": {
        "city": "Bradford",
        "address": "537 Paper Street",
        "country": "USA",
        "postal_code": "19808"
    },
    "id_data": {
        "type": "passport",
        "number": "999",
        "issued_date": "2017-07-21T17:32:28.000Z",
        "expiration_date": "2017-07-21T17:32:28.000Z"
    },
    "bank_account": [...],
    "crypto_wallet": {},
    "verification_level": 2,
    "email_verified": true,
    "otp_enabled": false,
    "activated": true,
    "username": "narrator",
    "affiliation_code": "STRING",
    "settings": {
        "chat": {
            "set_username": true
        },
        "risk": {
            "popup_warning": true,
            "order_portfolio_percentage": 90
        },
        "audio": {
            "all": true,
            "order_placed": true,
            "public_trade": true,
            "click_amounts": true,
            "order_canceled": true,
            "order_completed": true,
            "quick_trade_success": true,
            "quick_trade_timeout": true,
            "get_quote_quick_trade": true,
            "order_partially_completed": true
        },
        "language": "en",
        "interface": {
            "theme": "dark",
            "order_book_levels": 20
        },
        "notification": {
            "popup_order_completed": false,
            "popup_order_confirmation": false,
            "popup_order_partially_filled": false
        }
    },
    "affiliation_rate": 0,
    "network_id": 90,
    "created_at": "2020-10-06T11:01:46.715Z",
    "updated_at": "2021-02-16T07:48:03.108Z",
    "balance": {
        "usdt_balance": 0,
        "usdt_available": 0,
        "xht_balance": 0,
        "xht_available": 0,
        ...,
        "updated_at": "2021-02-16T05:48:28.014Z"
    },
    "wallet": [
        {
            "currency": "xht",
            "address": "0xb9b424250b1d5025f69d5c099b7a90f0a0a9c275",
            "network": "eth",
            "standard": null,
            "is_valid": true,
            "created_at": "2021-04-07T07:23:33.212Z"
        },
        {
            "currency": "usdt",
            "address": "0xb9b424250b1d5025f69d5c099b7a90f0a0a9c275",
            "network": "eth",
            "standard": null,
            "is_valid": true,
            "created_at": "2021-04-22T13:46:54.014Z"
        },
        ...
    ]
}
```

{% endtab %}
{% endtabs %}

## Get Balance

<mark style="color:blue;">`GET`</mark> `https://api.bytex.ca/v2/user/balance`

This endpoint gets a user's balance.

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "xht_balance": 0,
    "xht_available": 0,
    "usdt_balance": 0,
    "usdt_available": 0,
    ...
    "updated_at": "2021-11-23T04:14:08.705Z"
```

{% endtab %}
{% endtabs %}

## Get Deposits

<mark style="color:blue;">`GET`</mark> `https://api.bytex.ca/v2/user/deposits`

This endpoint displays user's deposits.

#### Path Parameters

| Name            | Type      | Description                                             |
| --------------- | --------- | ------------------------------------------------------- |
| order           | String    | asc or desc                                             |
| order\_by       | String    | Field to order data                                     |
| address         | String    | Get deposits made to this address                       |
| limit           | number    | Number of elements to return. Default: 50. Maximum: 100 |
| dismissed       | boolean   | Dismissed status of deposits to get                     |
| transaction\_id | String    | Get deposits with this transaction ID                   |
| page            | number    | Page of data to retrieve                                |
| status          | boolean   | Completed status of deposits to get                     |
| currency        | String    | The currency pair symbol                                |
| rejected        | boolean   | Rejected status of deposits to get                      |
| processing      | boolean   | Processing status of deposits to get                    |
| waiting         | boolean   | Waiting status of deposits to get                       |
| start\_date     | date-time | Starting date of queried data in ISO 8601 format        |
| end\_date       | date-time | Ending date of queried data in ISO 8601 format          |
| format          | String    | Pass value csv to download csv file                     |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "count": 1,
    "data": [
        {
            "id": 229,
            "amount": 1,
            "fee": 0,
            "address": "string",
            "transaction_id": "string",
            "status": true,
            "dismissed": false,
            "rejected": false,
            "processing": false,
            "waiting": false,
            "description": "",
            "type": "deposit",
            "currency": "usdt",
            "network": "eth",
            "created_at": "2021-02-16T05:48:28.011Z",
            "updated_at": "2021-02-16T05:48:28.011Z",
            "user_id": 90
        }
    ]
}
```

{% endtab %}
{% endtabs %}

## Get Withdrawals

<mark style="color:blue;">`GET`</mark> `https://api.bytex.ca/v2/user/withdrawals`

This endpoint displays user's withdrawals.

#### Path Parameters

| Name            | Type      | Description                                             |
| --------------- | --------- | ------------------------------------------------------- |
| currency        | String    | The currency pair symbol                                |
| limit           | number    | Number of elements to return. Default: 50. Maximum: 100 |
| page            | number    | Page of data to retrieve                                |
| order\_by       | String    | Field to order data                                     |
| order           | String    | asc or desc                                             |
| transaction\_id | String    | Get withdrawals with this transaction ID                |
| address         | String    | Get withdrawals made to this address                    |
| status          | boolean   | Completed status of withdrawals to get                  |
| dismissed       | boolean   | Dismissed status of withdrawals to get                  |
| rejected        | boolean   | Rejected status of withdrawals to get                   |
| processing      | boolean   | Processing status of withdrawals to get                 |
| waiting         | boolean   | Waiting status of withdrawals to get                    |
| start\_date     | date-time | Starting date of queried data in ISO 8601 format        |
| end\_date       | date-time | Ending date of queried data in ISO 8601 format          |
| format          | String    | Pass value csv to download csv file                     |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "count": 1,
    "data": [
        {
            "id": 224,
            "amount": 1,
            "fee": 0,
            "address": "string",
            "transaction_id": "string",
            "status": true,
            "dismissed": false,
            "rejected": false,
            "processing": false,
            "waiting": false,
            "description": "",
            "type": "withdrawal",
            "currency": "usdt",
            "network": "eth",
            "created_at": "2021-02-15T02:36:47.167Z",
            "updated_at": "2021-02-15T02:36:47.167Z",
            "user_id": 90
        }
    ]
}
```

{% endtab %}
{% endtabs %}

## Get Withdrawal Fee

<mark style="color:blue;">`GET`</mark> `https://api.bytex.ca/v2/user/withdrawal/fee?currency=${currency}`

This endpoint gets the withdrawal fee for a certain currency.

#### Path Parameters

| Name                                       | Type   | Description                   |
| ------------------------------------------ | ------ | ----------------------------- |
| currency<mark style="color:red;">\*</mark> | String | The desired currency e.g. xrp |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "fee": 0.001
}
```

{% endtab %}
{% endtabs %}

## Create Withdrawal Request

<mark style="color:green;">`POST`</mark> `https://api.bytex.ca/v2/user/request-withdrawal`

This endpoint creates a withdrawal request for the user.

#### Path Parameters

| Name      | Type   | Description                                                                     |
| --------- | ------ | ------------------------------------------------------------------------------- |
| currency  | String | The desired currency e.g. xrp                                                   |
| amount    | number | The amount to withdrawal e.g. 5                                                 |
| address   | String | The recipient wallet's address                                                  |
| network   | String | Network of currency being withdrawn if there are multiple networks for currency |
| otp\_code | String | OTP for user if user has OTP enabled                                            |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "message": "Success"
}
```

{% endtab %}
{% endtabs %}

## Get Trades

<mark style="color:blue;">`GET`</mark> `https://api.bytex.ca/v2/user/trades`

This endpoint displays user's trades.

#### Path Parameters

| Name        | Type      | Description                                             |
| ----------- | --------- | ------------------------------------------------------- |
| symbol      | String    | The currency pair symbol                                |
| limit       | number    | Number of elements to return. Default: 50. Maximum: 100 |
| page        | numer     | Page of data to retrieve                                |
| order       | String    | asc or desc                                             |
| start\_date | date-time | Starting date of queried data in ISO 8601 format        |
| end\_date   | date-time | Ending date of queried data in ISO 8601 format          |
| format      | String    | Pass value csv to download csv file                     |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "count": 1,
    "data": [
        {
            "side": "sell",
            "symbol": "xrp-usdt",
            "size": 0.1,
            "price": 0.35,
            "timestamp": "2021-02-15T07:34:34.203Z",
            "order_id": "string",
            "fee": 0.2,
            "fee_coin": "usdt"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

## Get All Orders

<mark style="color:blue;">`GET`</mark> `https://api.bytex.ca/v2/orders`

This endpoint gets all active orders placed by the user.

#### Path Parameters

| Name        | Type      | Description                                             |
| ----------- | --------- | ------------------------------------------------------- |
| end\_date   | date-time | Ending date of queried data in ISO 8601 format          |
| page        | number    | Page of data to retrieve                                |
| side        | String    | Side of orders to query (buy, sell)                     |
| order       | String    | asc or desc                                             |
| open        | boolean   | Open status of order                                    |
| limit       | number    | Number of elements to return. Default: 50. Maximum: 100 |
| order\_by   | String    | Field to order data                                     |
| status      | String    | Status of order (filled, pfilled, canceled, new)        |
| start\_date | date-time | Starting date of queried data in ISO 8601 format        |
| symbol      | String    | The currency pair symbol                                |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "count": 1,
    "data": [
        {
            "id": "string",
            "side": "sell",
            "symbol": "xrp-usdt",
            "size": 0.1,
            "filled": 0,
            "stop": null,
            "fee": 0,
            "fee_coin": "usdt",
            "type": "limit",
            "price": 1.09,
            "status": "new",
            "created_by": 116,
            "created_at": "2021-02-17T02:32:38.910Z",
            "updated_at": "2021-02-17T02:32:38.910Z",
            "User": {
                "id": 116,
                "email": "fight@club.com",
                "username": "narrator",
                "exchange_id": 176
            }
        }
    ]
}
```

{% endtab %}
{% endtabs %}

## Get Order

<mark style="color:blue;">`GET`</mark> `https://api.bytex.ca/v2/order?order_id=${order_id}`

This endpoint gets an order by its id.

#### Path Parameters

| Name                                        | Type   | Description     |
| ------------------------------------------- | ------ | --------------- |
| order\_id<mark style="color:red;">\*</mark> | String | Order unique Id |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "id": "string",
    "side": "sell",
    "symbol": "xrp-usdt",
    "size": 0.1,
    "filled": 0,
    "stop": null,
    "fee": 0,
    "fee_coin": "usdt",
    "type": "limit",
    "price": 1.09,
    "status": "new",
    "created_by": 116,
    "created_at": "2021-02-17T02:32:38.910Z",
    "updated_at": "2021-02-17T02:32:38.910Z"
}
```

{% endtab %}
{% endtabs %}

## Create Order

<mark style="color:green;">`POST`</mark> `https://api.bytex.ca/v2/order`

This endpoint places an order for the user.

#### Path Parameters

| Name                                     | Type   | Description                                                                          |
| ---------------------------------------- | ------ | ------------------------------------------------------------------------------------ |
| symbol<mark style="color:red;">\*</mark> | String | The currency pair symbol (xrp-usdt)                                                  |
| side<mark style="color:red;">\*</mark>   | String | buy or sell order                                                                    |
| type                                     | String | limit or market order type                                                           |
| size<mark style="color:red;">\*</mark>   | number | The amount of the order                                                              |
| price<mark style="color:red;">\*</mark>  | number | <p>*Only required if limit order* </p><p>Only should be used when type is limit.</p> |
| stop                                     | number | Stop price of order                                                                  |
| meta                                     | object | Object with other options such as post\_only                                         |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "fee": 0,
    "meta": {},
    "symbol": "xrp-usdt",
    "side": "sell",
    "size": 0.1,
    "type": "limit",
    "price": 1,
    "fee_structure": {
        "maker": 0.2,
        "taker": 0.2
    },
    "fee_coin": "usdt",
    "id": "string",
    "created_by": 116,
    "filled": 0,
    "status": "new",
    "updated_at": "2021-02-17T03:03:19.231Z",
    "created_at": "2021-02-17T03:03:19.231Z",
    "stop": null
}
```

{% endtab %}
{% endtabs %}

## Cancel All Orders

<mark style="color:red;">`DELETE`</mark> `https://api.bytex.ca/v2/order/all`

This endpoint cancels all orders placed by the user.

#### Path Parameters

| Name   | Type   | Description              |
| ------ | ------ | ------------------------ |
| symbol | String | The currency pair symbol |

{% tabs %}
{% tab title="200: OK " %}

```javascript
[
    {
        "created_by": 116,
        "side": "sell",
        "type": "limit",
        "size": 0.1,
        "price": 1,
        "created_at": "2021-02-17T03:04:59.607Z",
        "updated_at": "2021-02-17T03:05:02.945Z",
        "symbol": "xrp-usdt",
        "filled": 0,
        "stop": null,
        "status": "canceled",
        "fee": 0,
        "fee_coin": "usdt",
        "meta": {},
        "id": "string",
        "fee_structure": {
            "maker": 0.2,
            "taker": 0.2
        }
    },
    ...
]
```

{% endtab %}
{% endtabs %}

## Cancel Order

<mark style="color:red;">`DELETE`</mark> `https://api.bytex.ca/v2/order?order_id=${order_id}`

This endpoint cancels an order by getting its id.

#### Path Parameters

| Name                                        | Type   | Description              |
| ------------------------------------------- | ------ | ------------------------ |
| order\_id<mark style="color:red;">\*</mark> | String | Specific order unique Id |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "created_by": 116,
    "side": "buy",
    "type": "limit",
    "size": 2,
    "price": 1,
    "created_at": "2021-02-17T03:07:36.244Z",
    "updated_at": "2021-02-17T03:07:52.683Z",
    "symbol": "xrp-usdt",
    "filled": 0,
    "stop": null,
    "status": "canceled",
    "fee": 0,
    "fee_coin": "xrp",
    "meta": {},
    "id": "string",
    "fee_structure": {
        "maker": 0.2,
        "taker": 0.2
    }
}
```

{% endtab %}
{% endtabs %}
